[arch-commits] Commit in hspell/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu May 1 09:30:56 EDT 2008


    Date: Thursday, May 1, 2008 @ 09:30:56
  Author: jgc
Revision: 1147

Merged revisions 2-1146 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/hspell/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r1146 | jgc | 2008-05-01 13:30:42 +0000 (Thu, 01 May 2008) | 3 lines
  
  upgpkg: hspell 1.0-2
      Add license, build with -fPIC on x86_64
  Note: upstream website is down at this moment. http://www.sourcefiles.org/Utilities/Dictionary/hspell-1.0.tar.gz used as source this time
........

Modified:
  hspell/repos/extra-x86_64/	(properties)
  hspell/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)


Property changes on: hspell/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /hspell/trunk:1
   + /hspell/trunk:1-1146

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-05-01 13:30:42 UTC (rev 1146)
+++ extra-x86_64/PKGBUILD	2008-05-01 13:30:56 UTC (rev 1147)
@@ -3,20 +3,22 @@
 
 pkgname=hspell
 pkgver=1.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Hebrew spell-checker"
 arch=(i686 x86_64)
+license=('GPL')
 url="http://www.ivrix.org.il/projects/spell-checker/"
-depends=('glibc' 'zlib' 'perl')
-options=('nolibtool')
+depends=('glibc>=2.7' 'zlib' 'perl')
+options=('!libtool' '!makeflags')
 source=(http://www.ivrix.org.il/projects/spell-checker/${pkgname}-${pkgver}.tar.gz)
 md5sums=('3e12fa383c2cfd430918d115f33f9841')
 
 build() {
   export MAKEFLAGS="-j1"
   cd ${startdir}/src/${pkgname}-${pkgver} 
+  [ "${CARCH}" = "x86_64" ] && export CFLAGS="${CFLAGS} -fPIC"
   sed -i -e 's|/usr/bin/awk|/bin/awk|' wzip
   ./configure --prefix=/usr  --enable-linginfo
   make || return 1
-  make DESTDIR=${startdir}/pkg/ install 
+  make DESTDIR=${startdir}/pkg/ install || return 1
 }





More information about the arch-commits mailing list